import 'dart:async';
import 'dart:io';

import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:fcs/domain/entities/package.dart';
import 'package:fcs/domain/entities/processing.dart';
import 'package:fcs/pages/main/model/base_model.dart';
import 'package:logging/logging.dart';

class ProcessingModel extends BaseModel {
  List<Processing> processings = [];
  final log = Logger('ProcessingModel');

  StreamSubscription<QuerySnapshot> listener;

  void initUser(user) {
    super.initUser(user);
  }

  @override
  logout() async {
    if (listener != null) await listener.cancel();

    processings = [];
  }

  Future<void> createProcessing(Processing processing) {}

  Future<void> updateProcessing(Processing processing) {}
}
